import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new ArrayList(Arrays.asList(new String[]{"dog", "cat"}));
        Iterator it = list.iterator();
        
        //it.remove();                             // IllegalStateException
        System.out.println( it.next() );           // dog
        it.remove();
        System.out.println( list );                // [cat]

        // You can't call remove() after another remove().
        //it.remove();                             // IllegalStateException

        // Remove all null elements.
        list = new ArrayList(Arrays.asList(new String[]{"dog", null, "cat"}));
        for (Iterator i=list.iterator(); i.hasNext(); ) {
            if (i.next() == null) {
                i.remove();
            }
        }
        System.out.println( list );                // [dog, cat]
//
    }
}
