import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new LinkedList(Arrays.asList(new String[]{"dog", null, "cat"}));

        for (Iterator it=list.iterator(); it.hasNext(); ) {
            Object e = it.next();
            System.out.print(e + " ");      // dog null cat

            // Remove null elements.
            if (e == null) {
                it.remove();
            }
        }
        System.out.println( list );         // [dog, cat]

        // Attempt to modify the list while an iterator is being used.
        Iterator  it = list.iterator();
        list.add("pig");
        //it.next();                        // ConcurrentModificationException

        // Create a list whose size cannot be changed.
        it = Arrays.asList(new String[]{"dog"}).iterator();
        System.out.println( it.next() );    // dog
        it.remove();                        // UnsupportedOperationException
//
    }
}
