import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Set set = new TreeSet(Arrays.asList(new String[]{"dog", "cat", "dog"}));

        // Make it modifiable set.
        set = new TreeSet(set);
        System.out.println( set.remove("pig") );    // false
        System.out.println( set.remove("dog") );    // true
        System.out.println( set );                  // [cat]

        set = Collections.singleton("dog");
        // The size of this set cannot be changed.
        System.out.println( set.remove("dog") );    // UnsupportedOperationException
//
    }
}
