import java.util.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
//
        Attributes attr = new Attributes();
        attr.putValue("dog", "spot");
        attr.putValue("cat", "luck");

        // Get entries
        Set set = attr.entrySet();

        // Remove attribute with the name "dog".
        Attributes.Name dog = new Attributes.Name("Dog");
        for (Iterator it=set.iterator(); it.hasNext(); ) {
            Map.Entry e = (Map.Entry)it.next();

            if (e.getKey().equals(dog)) {
                it.remove();
                break;
            }
        }
        print( attr );                               // {cat=luck}
            
        // Add to the attributes map and check the set
        attr.put("yak", "yolk");
        System.out.println( set );                   // {cat=luck, yak=yolk}

        // You can't add to the set
        set.add("bess");                             // UnsupportedOperationException

        // Note: see the class example for the implementation of print().
//
    }
    static void print(Attributes a) {
        System.out.print("{");
        boolean first = true;
        for (Iterator it=a.keySet().iterator(); it.hasNext(); ) {
            if (first) {
                first = false;
            } else {
                System.out.print(", ");
            }
            Object key = it.next();
            System.out.print(key+"="+a.get(key));
        }
        System.out.print("}\n");
    }
}
