import java.io.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
        if (args.length < 1) {
            System.out.println("Usage: java Main <jar-file>");
            System.exit(1);
        }

        try {
            JarInputStream jis = new JarInputStream(
                new FileInputStream(args[0]), true);
            JarEntry je;
            while ((je = jis.getNextJarEntry()) != null) {
                System.out.println(je);
                jis.closeEntry(); // complete reading bytes of entry
            }
            jis.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
