import java.io.*;

public class Main {
    public static void main(String[] args) {
//
	FilePermission p1 = new FilePermission("<<ALL FILES>>", "read, write");
	FilePermission p2 = new FilePermission("", "read");
	FilePermission p3 = new FilePermission(
	    "/export/home/tmp/rosanna/sup1/io/FilePermission/equals/", "read");

	System.out.println(p1.equals(p2)); // false

	System.out.println(p2.equals(p3)); // true

//

	byte[] buf = serializeObject(p2);
	System.out.println(new String(buf));

	System.out.println(new String(serializeObject(p3)));

	System.out.println(new String(serializeObject(new FilePermission("hello", "read"))));

	System.out.println(System.getProperty("user.dir"));
    }

    private static byte[] serializeObject(Object obj) {

	try {
	    ByteArrayOutputStream bytes = new ByteArrayOutputStream();
	    ObjectOutputStream serial = new ObjectOutputStream(bytes);
	    serial.writeObject(obj);
	    serial.close();

	    return (bytes.toByteArray());

	} catch (IOException e) {
	    e.printStackTrace();
	    return null;
	}
    }
}


    
