import java.io.*;

class Main {
    public static void main(String[] args) {
        try {
            SillyObjectOutputStream out = 
                new SillyObjectOutputStream(new FileOutputStream("test.ser"));
            out.writeObject(new java.awt.Label("hello there"));
            out.close();
        } catch (IOException e) {
            System.out.println(e);
        }
    }

    static class SillyObjectOutputStream extends ObjectOutputStream {
        OutputStream out;
        byte[] sillyOutput = "silly".getBytes();

        SillyObjectOutputStream(OutputStream out) throws IOException {
            super(); // use protected constructor
            this.out = out;
        }

        protected void writeObjectOverride(Object obj) throws IOException {
            out.write(sillyOutput); // bogus implementation, just for demo
        }

        public void close() throws IOException {
            out.close();
        }
    }
}
                            
