import java.util.PropertyPermission;

public class Main {
    public static void main(String[] args) {
//      
        PropertyPermission pp = new PropertyPermission("user.*", "read");
        try {
            // Create and install security manager
            SecurityManager sm = new SecurityManager();
            System.setSecurityManager(sm);

            // Perform check--not really necessary since getProperty()'ll do it
            sm.checkPermission(pp);

            System.out.println(System.getProperty("user.home"));
        } catch (SecurityException e) {
            e.printStackTrace();
        }
//
    }
}
