import java.text.StringCharacterIterator;

class Main {
    public static void main(String args[]) {

        String str =  "We want to thank you";

        // create string character iterator
        StringCharacterIterator sci = new StringCharacterIterator(str);

        System.out.println("'sci' is the string character iterator ");
        System.out.println("'[' is positioned ahead of the current index");

        char rtn = sci.last();
        System.out.print("sci.last():          ");
        printOutChar(sci, str, rtn);
    }

    // Print the text with a separator '[' at the current position
    public static void printOutChar(StringCharacterIterator iter, 
                                    String str, char rtn) {
        printFirstPart(iter, str);
        if (rtn == StringCharacterIterator.DONE) 
            System.out.println("   returns " + "DONE");
        else
            System.out.println("   returns \"" + rtn + "\"");
    }

  public static void printFirstPart(StringCharacterIterator iter, String str) {
        int pos = iter.getIndex();
        System.out.print("\"" + str.substring(0,pos));
        System.out.print("[");
        System.out.print(str.substring(pos,str.length()) + "\"");
  }
}
