import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Hashtable h = new Hashtable();
        h.put("dog", "spot");
        h.put("gnu", "rick");

        Set set = h.keySet();
        System.out.println( new HashSet(set) );    // [dog, gnu]
        System.out.println( set.contains("dog") ); // true

        // Remove an entry from the set and check the h.
        set.remove("dog");
        System.out.println( h );                   // {gnu=rick}
 
        // Add to the h and check the set
        h.put("yak", "yolk");
        System.out.println( new HashSet(set) );    // [gnu, yak]

        // You can't add to the set.
        //set.add("bess");                         // UnsupportedOperationException
//
    }
}
