import java.util.*;

class Main {
    public static void main(String[] args) {
        TreeMap map = new TreeMap();
        map.put("dog", "spot");
        map.put("cat", null);
        map.put("pig", "babe");
        map.put("cow", null);

        Iterator it = map.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry e = (Map.Entry)it.next();
            Object o = e.getValue();

            if (e.getValue() == null) {
                e.setValue(e.getKey());
            }
        }
        System.out.println( map );    // {cat=cat, cow=cow, dog=spot, pig=babe}

        // Obtain an entry set.
        Set set = map.entrySet();
        System.out.println( set );    // [cat=cat, cow=cow, dog=spot, pig=babe]

        // Remove an entry from the underlying set.
        map.remove("cat");
        System.out.println( set );    // [cow=cow, dog=spot, pig=babe]
        
        // Remove all map entries from the entry set.
        set.clear();
        System.out.println( map );    // {}
    }
}