import java.util.*;

class Main {
    public static void main(String[] args) {
        Map m1 = new HashMap();
        m1.put("dog", null);
        m1.put("cat", null);

        Map m2 = new HashMap();
        m2.put("cat", null);
        m2.put("pig", null);

        System.out.println(union(m1, m2));
        System.out.println(intersection(m1, m2));
    }

//
    public static Map union(Map m1, Map m2) {
        Map result;
        if (m1 instanceof SortedMap) {
            result = new TreeMap(m1);
            result.putAll(m2);
        } else if (m2 instanceof SortedMap) {
            result = new TreeMap(m2);
            result.putAll(m1);
        } else {
            result = new HashMap(m1);
            result.putAll(m2);
        }
        return result;
    }

    public static Map intersection(Map m1, Map m2) {
        Map result;
        if (m1 instanceof SortedMap) {
            result = new TreeMap(m1);
            result.keySet().retainAll(m2.keySet());
        } else if (m2 instanceof SortedMap) {
            result = new TreeMap(m2);
            result.keySet().retainAll(m1.keySet());
        } else {
            result = new HashMap(m1);
            result.keySet().retainAll(m2.keySet());
        }
        return result;
    }
//
}