import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Set s1 = new HashSet(Arrays.asList(new String[]{"dog", null, "cat"}));
        Set s2 = new HashSet(Arrays.asList(new String[]{"dog", "cat"}));

        System.out.println( s1.equals(null) );         // false
        System.out.println( s1.equals(s2) );           // false

        s2.add(null);
        System.out.println( s1.equals(s2) );           // true

        // lists and sets are not equal, even if they have the same contents.
        System.out.println( Collections.EMPTY_LIST.equals(Collections.EMPTY_SET) );
                                                       // false
//
    }
}
