import java.util.*;

class Main {
    public static void main(String[] args) {
//
        SimpleTimeZone tz1 = (SimpleTimeZone)TimeZone.getTimeZone("PST");
        SimpleTimeZone tz2 = (SimpleTimeZone)TimeZone.getTimeZone("PST");

        System.out.println( tz1.hasSameRules(tz2) );    // true

        tz1.setStartRule(Calendar.MARCH, 15, tz1.getDSTSavings());
        System.out.println( tz1.hasSameRules(tz2) );    // false
    
        tz1.setStartRule(Calendar.MARCH, 0, 0);
        tz2.setStartRule(Calendar.MARCH, 0, 0);
        System.out.println( tz1.hasSameRules(tz2) );    // true
    
        tz1.setRawOffset(2*60*60*1000);
        System.out.println( tz1.hasSameRules(tz2) );    // false
//
    }
}
