import java.util.*;

class Main {
    public static void main(String[] args) {
//
        TreeMap map = new TreeMap();
        map.put("c", null);
        map.put("p", null);
        Map submap = map.subMap("b", "g");
        System.out.println( submap );               // {c=null}

        // You can't add anything to the submap outside of [b g)
        //System.out.println( submap.put("a", null) );  // IllegalArgumentException
        System.out.println( submap.put("b", null) );    // null
        System.out.println( submap.put("d", null) );    // null
        //System.out.println( submap.put("g", null) );  // IllegalArgumentException
        System.out.println( map );                  // {b=null, c=null, d=null, p=null}

        // Put to map and check submap.
        map.put("f", null);
        System.out.println( submap );               // {b=null, c=null, d=null, f=null}
//
    }
}
